> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notification Config

Use this API to retrieve the current in-app notification service configuration for a workspace.

<Info>
  This endpoint uses **API-key-level auth**: pass `x-velt-api-key` and `x-velt-auth-token` as headers. You can obtain these from the [Get Auth Tokens](/api-reference/rest-apis/v2/workspace/authtokens-get) endpoint.
</Info>

<Note>
  The numeric `delayConfig` / `batchConfig` fields returned here are constrained to these ranges when set via [Update Notification Config](/api-reference/rest-apis/v2/workspace/notificationconfig-update): `delaySeconds` `10`–`15552000` (6 months), `batchWindowSeconds` `10`–`604800` (1 week), `maxActivities` `2`–`50`.
</Note>

# Endpoint

`POST https://api.velt.dev/v2/workspace/notificationconfig/get`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

This endpoint does not require a request body.

# Example Request

```JSON theme={null}
{
  "data": {}
}
```

# Example Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Notification configuration retrieved successfully.",
    "data": {
      "useNotificationService": false,
      "notificationServiceConfig": {
        "triggers": { "comment": { }, "huddle": { } },
        "delayConfig": {
          "isEnabled": false,
          "delaySeconds": 10
        },
        "batchConfig": {
          "document": { "isEnabled": false, "batchWindowSeconds": 10, "maxActivities": 2 },
          "user": { "isEnabled": false, "batchWindowSeconds": 10, "maxActivities": 2 }
        }
      }
    }
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "status": "PERMISSION_DENIED",
    "message": "Invalid API key."
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "status": "success",
      "message": "Notification configuration retrieved successfully.",
      "data": {
        "useNotificationService": false,
        "notificationServiceConfig": {
          "triggers": { "comment": { }, "huddle": { } },
          "delayConfig": {
            "isEnabled": false,
            "delaySeconds": 10
          },
          "batchConfig": {
            "document": { "isEnabled": false, "batchWindowSeconds": 10, "maxActivities": 2 },
            "user": { "isEnabled": false, "batchWindowSeconds": 10, "maxActivities": 2 }
          }
        }
      }
    }
  }
  ```
</ResponseExample>
